#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#include <QDialog>
#include "setcontrolstyle.h"
#include "promptdialog.h"
#include <QTextCodec>

namespace Ui {
class PassWordDialog;
}

class PassWordDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PassWordDialog(QWidget *parent = 0);
    ~PassWordDialog();

private:
    Ui::PassWordDialog *ui;
    QString m_inputStr;
    QList <QPushButton*> m_NumerBtnlist;
    bool m_ifShow;//输入字符是否可见
    s16 m_cleanFlag;//清除按钮的显示及作用，清空或者.
    s16 m_ipLength;

private:
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式
    void refreshUi();
    void initArabControlPos();//设置阿拉伯语时控件对齐方式

private slots:
    void numerBtnClick();
    void on_buttonClean_clicked();
    void on_buttonBack_clicked();
    void on_buttonOk_clicked();
    void on_buttonCancel_clicked();

public:
    void setTitleStr(QString str,int cFlag = 0);//设置标题并修改按钮文本
    void setShowIfVisible(bool bShow);//设置输入内容是否可见
    void setIpStr(QString ip);
    QString getInputStr();
};

#endif // PASSWORDDIALOG_H
